%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           pytagger
Version:        0.5
Release:        5%{?dist}
Summary:        ID3 Tag Reader and Writer Library for Python
Group:          Development/Libraries
License:        BSD
URL:            http://www.liquidx.net/pytagger/
Source0:        http://media.liquidx.net/static/pytagger/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-setuptools-devel

%description
pytagger is a ID3 tag reader and writer implemented purely in Python.
It supports all the current ID3 tag implementations including ID3v1,
ID3v1.1, ID3v2.2, ID3v2.3 and ID3v2.4. 

%prep
%setup -q

%build
CFLAGS="%{optflags}" %{__python} -c 'import setuptools; execfile("setup.py")' build

%install
%{__rm} -rf %{buildroot}
%{__python} -c 'import setuptools; execfile("setup.py")' install \
            --skip-build --root %{buildroot}

# This script needs some files that are neither in the tarball nor
# in the system, hence we remove it from the package:
%{__rm} -rf %{buildroot}/%{_bindir}/apic.py*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog html
%{python_sitelib}/*.egg-info
%{python_sitelib}/tagger
%{_bindir}/mp3check.py
# These are automatically excluded in Fedora > 10
%if 0%{?fedora} < 11
%exclude %{_bindir}/mp3check.pyc
%exclude %{_bindir}/mp3check.pyo
%endif

%changelog
* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 11 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.5-3
- Explicitly exclude %%{bindir}/*py? on Fedora < 11 only

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 24 2008 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.5-1
- Initial RPM release.
